#include <gtk/gtk.h>
#include "configfile.h"

#include "pixmaps/yqfile.xpm"

extern GtkWidget *tree_main;
extern ConfigFile *cfgfile;

GtkWidget *CreateWidgetFromXpm (GtkWidget *parent,gchar **xpm_data);
GtkWidget* yq_readfile(gchar *open_file);


GtkWidget*
createtree()
{
 GtkWidget *treewin,*leaf,*tree,*hbox,*label;
 tree=gtk_tree_new();
 gtk_widget_show (tree);
	   	
	leaf = gtk_tree_item_new();
	hbox = gtk_hbox_new(FALSE, 1);
	gtk_widget_show(leaf);
	gtk_widget_show(hbox);
	
	gtk_box_pack_start(GTK_BOX(hbox), CreateWidgetFromXpm (hbox,(gchar **) yqfile_xpm), FALSE, FALSE, 0);
	label = gtk_label_new("¼");
	gtk_widget_show(label);
        gtk_box_pack_start(GTK_BOX(hbox), label, FALSE, FALSE, 0);
	gtk_container_add(GTK_CONTAINER(leaf), hbox);		
 gtk_tree_append(GTK_TREE(tree),leaf);
 
 tree_main=gtk_tree_new();
 gtk_widget_show(tree_main);
 gtk_tree_item_set_subtree(GTK_TREE_ITEM(leaf),tree_main);
 
 yq_readfile(g_strconcat(g_get_home_dir(),"/yqfile",NULL));
 /*yq_readfile(g_strconcat(g_get_home_dir(),"/yqfile2",NULL));*/
 treewin = gtk_scrolled_window_new(NULL, NULL);
 gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(treewin),
	GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
 gtk_widget_set_usize(treewin, 50, 100);
 gtk_scrolled_window_add_with_viewport(GTK_SCROLLED_WINDOW(treewin), tree);
 
 gtk_widget_show(treewin);
 return treewin;
} 
 