#include <gtk/gtk.h>
#include "configfile.h"

void yq_main ();
GtkWidget* createmenu(GtkWidget *main_vbox);
GtkWidget* createtoolbar (GtkWidget *main_vbox);
GtkWidget* createtoolbar1(); 
GtkWidget* createtoolbar2(GtkWidget *main_vbox); 
GtkWidget* createtree();
GtkWidget* createnotebook();

GtkWidget *win_main,*tree_main;
ConfigFile *cfgfile;

gint CloseAppWindow (GtkWidget *widget, gpointer *data)
{
    gtk_main_quit ();
    g_print("quiting..\n");
    return (FALSE);
}

  int main (int argc,char * argv [])
{ 
  
  gtk_init (&argc, &argv);
  yq_main();
  gtk_main();
  return 0;
}

void kk (GtkWidget *widget, gpointer data)
{
    g_print ("%s\n", data);
}

void yq_main()
{
  GtkWidget *main_vbox;
  GtkWidget *hpaned,*vbox,*hbox;
  GtkWidget *menubar, *toolbar;
  GtkWidget *label,*entry;
  win_main = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_signal_connect(GTK_OBJECT(win_main),"delete_event",
          GTK_SIGNAL_FUNC(CloseAppWindow),NULL);
  gtk_window_set_title(GTK_WINDOW(win_main),"ǿ");
  gtk_widget_set_usize(win_main, 300, 200);
  gtk_container_border_width(GTK_CONTAINER(win_main), 2);
  main_vbox = gtk_vbox_new(FALSE,0);
  gtk_container_add(GTK_CONTAINER(win_main),main_vbox);
  gtk_widget_show(main_vbox);
  gtk_widget_show(win_main);
  menubar=createmenu(main_vbox);
  gtk_box_pack_start (GTK_BOX (main_vbox), menubar, FALSE, TRUE, 0);
  gtk_widget_show (menubar);
  toolbar=createtoolbar(main_vbox);
  gtk_box_pack_start (GTK_BOX (main_vbox), toolbar, FALSE,FALSE, 0);
  gtk_widget_show (toolbar);
  label=gtk_label_new(": ");
  gtk_widget_show(label);
  entry=gtk_entry_new();
  gtk_widget_set_usize(entry,60,-1);
  gtk_widget_show(entry);
  hbox=gtk_hbox_new(FALSE,0);
  gtk_box_pack_start(GTK_BOX (hbox), label, FALSE, TRUE, 0);
  gtk_box_pack_start(GTK_BOX (hbox), entry, TRUE, TRUE, 0);
  gtk_widget_show(hbox);
  vbox=gtk_vbox_new(FALSE,0);
  gtk_box_pack_start(GTK_BOX (vbox), hbox, FALSE, TRUE, 0);
  gtk_box_pack_start(GTK_BOX (vbox), createtree(), TRUE,TRUE , 0);
  gtk_widget_show(vbox);
  hpaned = gtk_hpaned_new();
  gtk_paned_pack1(GTK_PANED(hpaned), vbox, TRUE, TRUE);
  label=gtk_label_new("ƴ: ");
  gtk_widget_show(label);
  entry=gtk_entry_new_with_max_length(3);
  gtk_widget_set_usize(entry,35,-1);
  gtk_widget_show(entry);
  hbox=gtk_hbox_new(FALSE,0);
  gtk_box_pack_start(GTK_BOX (hbox), label, FALSE, TRUE, 0);
  gtk_box_pack_start(GTK_BOX (hbox), entry, FALSE,FALSE , 0);
  toolbar=createtoolbar2(main_vbox);
  gtk_widget_show(toolbar);
  gtk_box_pack_start(GTK_BOX (hbox), toolbar, FALSE,FALSE , 0);
  toolbar=createtoolbar1();
  gtk_widget_show(toolbar);
  gtk_box_pack_start(GTK_BOX (hbox), toolbar, FALSE,FALSE , 0);
  gtk_widget_show(hbox);
  vbox=gtk_vbox_new(FALSE,0);
  gtk_box_pack_start(GTK_BOX (vbox), hbox, FALSE, TRUE, 0);
  gtk_box_pack_start(GTK_BOX (vbox), createnotebook(),TRUE , TRUE, 0);
  gtk_widget_show(vbox);
  gtk_paned_pack2(GTK_PANED(hpaned), vbox, TRUE, TRUE);
  gtk_widget_show(hpaned);
  gtk_box_pack_start (GTK_BOX (main_vbox), hpaned, TRUE, TRUE, 0);
}
