#include <gtk/gtk.h>

#include "pixmaps/new.xpm"
#include "pixmaps/open.xpm"
#include "pixmaps/print.xpm"
#include "pixmaps/cut.xpm"
#include "pixmaps/copy.xpm"
#include "pixmaps/paste.xpm"
#include "pixmaps/search.xpm"
#include "pixmaps/add.xpm"
#include "pixmaps/remove.xpm"
#include "pixmaps/save.xpm"
#include "pixmaps/saveadd.xpm"
#include "pixmaps/cancel.xpm"
#include "pixmaps/caxun.xpm"
#include "pixmaps/zu.xpm"
#include "pixmaps/suxin.xpm"
#include "pixmaps/bigico.xpm"
#include "pixmaps/smallico.xpm"
#include "pixmaps/list.xpm"
#include "pixmaps/xian.xpm"
#include "pixmaps/fenye.xpm"
#include "pixmaps/mima.xpm"
#include "pixmaps/laji.xpm"
#include "pixmaps/wannanli.xpm"
#include "pixmaps/telepho.xpm"
#include "pixmaps/question.xpm"
#include "pixmaps/up.xpm"
#include "pixmaps/down.xpm"

static GtkWidget *bigico_b, *smallico_b, *list_b,*xian_b;

void kk (GtkWidget *widget, gpointer data);
GtkWidget *CreateWidgetFromXpm (GtkWidget *parent,gchar **xpm_data);


GtkWidget*
createtoolbar (GtkWidget *main_vbox)
{
  GtkWidget *toolbar;

    /* --- Create the toolbar and add it to the window --- */
    toolbar = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
    
    gtk_toolbar_append_space (GTK_TOOLBAR (toolbar));
    
    gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "ļ", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) new_xpm),
			   (GtkSignalFunc) kk,
                           "open file");

    gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "رļ", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) open_xpm),
			   (GtkSignalFunc) kk,
                           "close file");

    gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "ӡ", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) print_xpm),
			   (GtkSignalFunc) kk,
                           "config");
    gtk_toolbar_append_space (GTK_TOOLBAR (toolbar));

    gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) cut_xpm),
			   (GtkSignalFunc) kk,
                           "exit");

    gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) copy_xpm),
			   (GtkSignalFunc) kk,
                           "copy");

    gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "ճ", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) paste_xpm),
			   (GtkSignalFunc) kk,
                           "upfile");

    gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) search_xpm),
			   (GtkSignalFunc) kk,
                           "nextfile");

    gtk_toolbar_append_space (GTK_TOOLBAR (toolbar));

    gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "¼¼", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) add_xpm),
			   (GtkSignalFunc) kk,
                           "searchfile");

    gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "ɾ", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) remove_xpm),
			   (GtkSignalFunc) kk,
                           "searchagin");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) save_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "沢", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) saveadd_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "ȡ", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) cancel_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "ѯ", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) caxun_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_space (GTK_TOOLBAR (toolbar));                           
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) zu_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_space (GTK_TOOLBAR (toolbar));                           
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) suxin_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_space (GTK_TOOLBAR (toolbar));

bigico_b=gtk_toolbar_append_element(GTK_TOOLBAR (toolbar),
                             GTK_TOOLBAR_CHILD_RADIOBUTTON,
                             NULL,
                             NULL,"ͼ",NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) bigico_xpm),
                               (GtkSignalFunc) kk,
                                     "addlink");
/*gtk_widget_set_sensitive(bigico_b,0);*/
smallico_b=gtk_toolbar_append_element(GTK_TOOLBAR (toolbar),
                             GTK_TOOLBAR_CHILD_RADIOBUTTON,
                             bigico_b,
                             NULL,"Сͼ",NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) smallico_xpm),
                               (GtkSignalFunc) kk,
                                     "addlink");
list_b=gtk_toolbar_append_element(GTK_TOOLBAR (toolbar),
                             GTK_TOOLBAR_CHILD_RADIOBUTTON,
                             bigico_b,
                             NULL,"б",NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) list_xpm),
                               (GtkSignalFunc) kk,
                                     "addlink");
xian_b=gtk_toolbar_append_element(GTK_TOOLBAR (toolbar),
                             GTK_TOOLBAR_CHILD_RADIOBUTTON,
                             bigico_b,
                             NULL,"ϸ",NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) xian_xpm),
                               (GtkSignalFunc) kk,
                                     "addlink");
gtk_toggle_button_set_state(GTK_TOGGLE_BUTTON(bigico_b), TRUE);                                     

gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "ҳʾ", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) fenye_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_space (GTK_TOOLBAR (toolbar));
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) mima_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "վ", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) laji_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "",NULL ,
                           CreateWidgetFromXpm (main_vbox,(gchar **) wannanli_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "绰", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) telepho_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_space (GTK_TOOLBAR (toolbar));                           
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) question_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
       return toolbar;
}
GtkWidget*
createtoolbar2 (GtkWidget *main_vbox)
{
  GtkWidget *toolbar;

    /* --- Create the toolbar and add it to the window --- */
    toolbar = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
    gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "һ", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) up_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),
			   NULL, "һ", NULL,
                           CreateWidgetFromXpm (main_vbox,(gchar **) down_xpm),
			   (GtkSignalFunc) kk,
                           "addlink");
return toolbar;
}    

GtkWidget*
createtoolbar1 ()
{
  GtkWidget *toolbar;

    /* --- Create the toolbar and add it to the window --- */
    toolbar = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_TEXT);
    gtk_toolbar_append_space (GTK_TOOLBAR (toolbar));
    gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"a", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"b", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"c", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"d", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"e", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"f", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"g", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"h", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"j", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"k", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"l", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"m", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"n", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"o", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"p", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"q", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"r", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"s", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"t", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"w", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"x", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"y", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
gtk_toolbar_append_item (GTK_TOOLBAR (toolbar),"z", NULL, NULL,NULL,
    (GtkSignalFunc) kk,"a");
return toolbar;
}    
